
/*----------ROOM_SECTION----------*/
SECTION#room_section{
	background-color: var(--color-1);
    color: #fff;
    padding: 100px;
    
    h2.title{
    	text-align: center;
    	pointer-events: none;
    	margin-bottom: 50px;
    	padding: 0 150px;
    }
    
    .swiper-main-nav{
    	position: absolute;
    	top: 100px;
        left: 100px;
    	display: flex;
    	flex-direction: row;
    	grid-gap: 15px;
    	
    	.swiper-button{
    		position: relative;
    		left: auto;
    		right: auto;
    		top: auto;
    		bottom: auto;
    		margin: 0;
    		background-image: url(/files/design_files/icons/arrow_white.png);
    		background-size: contain;
    		background-repeat: no-repeat;
    		background-position: center;
    		width: 60px;
    		height: 60px;
    		cursor: pointer;
    		opacity: 1;
    		transition: 0.5s all;
    		
    		&.swiper-button-prev{
    			transform: rotate(90deg);
    		}
    		
    		&.swiper-button-next{
    			transform: rotate(-90deg);
    		}
    		
    		&:after{
    			content: none;
    		}
    		
    	}
    	
    }
    
    .swiper-pagination{
    	position: absolute;
    	top: 130px;
    	right: 100px;
    	left: auto;
    	display: flex;
    	flex-direction: row;
    	width: fit-content;
    	height: fit-content;
    	grid-gap: 10px;
    	
    	.swiper-pagination-bullet{
    		margin: 0 !important;
    		width: 15px;
    		height: 15px;
    		background-color: #fff;
    		opacity: 0.5;
    		cursor: pointer;
    		transition: 0.5s all;
    		pointer-events: all;
    		
    		&.swiper-pagination-bullet-active{
    			opacity: 1;
    			pointer-events: none;
    		}
    		
    	}
    	
    }
	
	.rooms{
		display: flex;
		flex-direction: column;
		grid-gap: 100px;
		
		.room{
			display: flex;
			flex-wrap: wrap;
			flex-direction: row;
			grid-gap: 100px;
			
			.left_side{
				width: calc(50% - 50px);
				
				.room_title{
					display: flex;
					flex-direction: row;
					align-items: center;
					margin-bottom: 50px;
					font-family: "Nothing You Could Do";
					
					.room_icon{
						width: 120px;
						height: 120px;
						min-width: 120px;
						min-height: 120px;
						max-width: 120px;
						max-height: 120px;
						background-color: var(--color-2);
						border-radius: 100%;
						display: flex;
						justify-content: center;
						align-items: center;
						margin-right: 25px;
						
						img{
							width: 80px;
							height: 80px;
						}
						
					}
					
				}
				
				.info_block{
					display: flex;
					flex-direction: column;
					grid-gap: 25px;
					
					.info{
						border-bottom: 1.5px solid #fff;
						padding-bottom: 25px;
						overflow: hidden;
						max-height: 40px;
						transition: 0s all;
						transition-delay: 0s;
						
						&.open{
							max-height: 100vh;
							
							.info_title{
								pointer-events: none;
								
								&:after{
									transform: rotate(90deg);
								}
								
							}
							
						}
						
						.info_title{
							font-weight: 400;
							font-size: 18px;
							height: 40px;
							position: relative;
							text-transform: uppercase;
							opacity: 1;
                            cursor: pointer;
                            pointer-events: all;
                            padding-left: 0px;
                            transition: .5s all;
                            display: flex;
                            justify-content: space-between;
                            &:hover{
                            	opacity: .5;
                            	padding-left: 10px;
                            }
							
							&:after{
								content: "";
								/*position: absolute;*/
								display: block;
								width: 20px;
								height: 20px;
								background-image: url("/files/design_files/icons/arrow-2.svg");
								right: 0;
								top: 0;
								background-size: contain;
								background-position: center;
								background-repeat: no-repeat;
								filter: brightness(100);
								transform: rotate(0deg);
								transition: .5s all;
							}
							
						}
						
						.info_txt{
							color: var(--color-2);
						}
						
					}
					
				}
				
			}
			
			.right_side{
				width: calc(50% - 50px);
				height: 80vh;
				display: flex;
				flex-direction: column;
				
				.room-slider{
					height: 0px;
					min-height: calc(100% - 175px);
					margin-bottom: 25px;
					border-radius: 20px;
					position: relative;
					
					img, video{
						width: 100%;
						height: 100%;
						object-fit: cover;
					}
					
					.swiper-nav{
						position: absolute;
						bottom: 25px;
						right: 25px;
						display: flex;
						flex-direction: row;
						grid-gap: 2px;
						
						.swiper-img-button{
							width: 40px;
							height: 40px;
							background-color: var(--color-2);
							z-index: 2;
							display: flex;
							position: relative;
							cursor: pointer;
							justify-content: center;
							align-items: center;
							transition: 0.5s all;
							left: auto;
                            right: auto;
                            
                            &:hover{
                            	background-color: var(--color-3);
                            }
                            
                            &.swiper-img-button-prev{
                            	transform: scale(-1);
                            }
							
							&:after{
								content: "";
								width: 15px;
								height: 15px;
								background-image: url("/files/design_files/icons/arrow-2.svg");
								background-size: contain;
								background-position: center;
								background-repeat: no-repeat;
								filter: brightness(100);
							}
							
						}
						
					}
					
				}
				
				.room-subslider{
					min-height: 150px;
					
					.room_sub_img{
						border-radius: 10px;
						overflow: hidden;
						
						img, video {
							width: 100%;
							height: 100%;
							object-fit: cover;
						}
						
					}
					
				}
				
			}
			
			/*&:nth-child(even){*/
				
			/*	.right_side{*/
			/*		order: -1;*/
			/*	}*/
				
			/*}*/
			
		}
		
	}
	
}

/*----------/ROOM_SECTION----------*/

/*----------RESPONSIVE----------*/

@media (max-width: 1200px) {
	
	SECTION#room_section{
		padding: 75px;
		
		.rooms{
			grid-gap: 75px;
			
			.room{
				grid-gap: 75px;
				
				.left_side{
					
					.room_title{
						
						.room_icon{
							width: 100px;
							height: 100px;
							min-width: 100px;
							min-height: 100px;
							max-width: 100px;
							max-height: 100px;
							
							img{
								width: 60px;
								height: 60px;
							}
							
						}
						
					}
					
				}
				
				.right_side{
					
					.room-slider{
						min-height: calc(100% - 125px);
					}
					
					.room-subslider{
						min-height: 100px;
					}
					
				}
				
			}
			
		}
		
	}
	
}

@media (max-width: 989px) {
	
	section#room_section {
		padding: 50px;
		
		.swiper-main-nav{
			left: 50px;
		}
		
		.swiper-pagination{
			    right: 50px;
		}
		
        .rooms {
            .room {
            	grid-gap: 50px;
            	
                .left_side {
                	width: 100%;
                }
                
                .right_side{
                	width: 100%;
                	
                	.room-slider{
                		height: 400px;
                	}
                	
                }
                
   /*             &:nth-child(even){*/
				
			/*	.right_side{*/
			/*		order: 1;*/
			/*	}*/
				
			/*}*/
                
            }
        }
    }
	
}

@media (max-width: 767px) {
	SECTION#wellness_section .wellness-slider .swiper-nav {
		left: 30%;
	}
	
	section#room_section{
		padding: 50px 25px;
		
		.swiper-main-nav{
			left: 30%;
            top: auto;
            bottom: 25px;
		}
		
		.swiper-pagination{
			right: 25px;
            top: auto;
            bottom: 50px;
		}
		
		h2.title{
			padding: 0px;
		}
		
		.rooms{
			
			.room{
				
				.left_side{
					
					.room_title{
						flex-direction: column;
						
						.room_icon{
							margin-right: 0px;
							margin-bottom: 25px;
						}
						
					}
					
				}
				
				.right_side{
					
					.room-slider{
						height: 300px;
						
						.swiper-nav{
							bottom: 15px;
							right: 15px;
						}
						
					}
					
				}
				
			}
			
		}
		
	}
	
}

/*----------/RESPONSIVE----------*/
